Bug 853342 - [doc]There are some typos in CPU Tuning part of the formatdomain.html
[doc]There are some typos in CPU Tuning part of the formatdomain.html
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 03:16 EDT by hongming
Modified: 2013-02-21 02:22 EST (History)
9 users (show)

See Also:
Fixed In Version: libvirt-0.10.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:22:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hongming 2012-08-31 03:16:00 EDT
Description of problem:
There are some typos in the CPU Tuning part of formatdomain.html

Version-Release number of selected component (if applicable):
libvirt-devel-0.10.0-1.el6.x86_64.rpm
libvirt-0.10.0-1.el6.x86_64.rpm

How reproducible:
100% 

Steps to Reproduce:
1.Open the  /usr/share/doc/libvirt-devel-0.10.0/formatdomain.html

CPU Tuning

<domain>
  ...
  <cputune>
    <vcpupin vcpu="0" cpuset="1-4,^2"/>
    <vcpupin vcpu="1" cpuset="0,1"/>
    <vcpupin vcpu="2" cpuset="2,3"/>
    <vcpupin vcpu="3" cpuset="0,4"/>
    <emulatorpin cpuset="1-3"/%gt; <---------typo
    <shares>2048</shares>
    <period>1000000</period>
    <quota>-1</quota>
    <emulator_period>1000000</period> <--------typo
    <emulator_quota>-1</quota> <----------typo
  </cputune>
  ...
</domain>


2.
3.
  
Actual results:
There are some typos in CPU Tuning part of the formatdomain.html.

Expected results:


Additional info:
Comment 2 Peter Krempa 2012-08-31 04:24:50 EDT
Fixed upstream:

commit b10ec38d52db5948abb43699110187f5ad15e560
Author: Jiri Denemark <jdenemar@redhat.com>
Date:   Fri Aug 31 08:22:57 2012 +0200

    docs: Fix typo in CPU tuning

commit f8fbfbc2819b47d6d26c75885c342bbe18cc6588
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Fri Aug 31 09:59:34 2012 +0200

    doc: Fix emulator pinning example in formatdomain.html
    
    Add correct closing tags.

Moving to POST.
Comment 4 yuping zhang 2012-09-03 02:57:57 EDT
Verified this issue with libvirt-0.10.1-1.el6.x86_64.

#vim /usr/share/doc/libvirt-devel-0.10.1/formatdomain.html 
...
&lt;domain&gt;
  ...
  &lt;cputune&gt;
    &lt;vcpupin vcpu="0" cpuset="1-4,^2"/&gt;
    &lt;vcpupin vcpu="1" cpuset="0,1"/&gt;
    &lt;vcpupin vcpu="2" cpuset="2,3"/&gt;
    &lt;vcpupin vcpu="3" cpuset="0,4"/&gt;
    &lt;emulatorpin cpuset="1-3"/&gt;
    &lt;shares&gt;2048&lt;/shares&gt;
    &lt;period&gt;1000000&lt;/period&gt;
    &lt;quota&gt;-1&lt;/quota&gt;
    &lt;emulator_period&gt;1000000&lt;/emulator_period&gt;
    &lt;emulator_quota&gt;-1&lt;/emulator_quota&gt;
  &lt;/cputune&gt;
  ...
&lt;/domain&gt;
...

On libvirt.org
...
<domain>
  ...
  <cputune>
    <vcpupin vcpu="0" cpuset="1-4,^2"/>
    <vcpupin vcpu="1" cpuset="0,1"/>
    <vcpupin vcpu="2" cpuset="2,3"/>
    <vcpupin vcpu="3" cpuset="0,4"/>
    <emulatorpin cpuset="1-3"/>
    <shares>2048</shares>
    <period>1000000</period>
    <quota>-1</quota>
    <emulator_period>1000000</emulator_period>
    <emulator_quota>-1</emulator_quota>
  </cputune>
  ...
</domain>

...

So change the bug status to VERIFIED.
Comment 5 errata-xmlrpc 2013-02-21 02:22:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.